[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Strange snapshot repository behaviour



Hi

First, thanks for such a great service. It's fantastic to synchronise upgrade paths of multiple environments.

I have a query though: Looking, for example, at the python-minimal package. According to the site browser, python-minimal_2.5.4-9_all.deb was in since 2010-01-22 21:54:28 . Using a snapshot date equal to or after this, however, is still pulling in  2.5.2-3, i.e. an older version!

cat /etc/apt/sources.list
deb http://snapshot.debian.org/archive/debian/20100204T000000Z/ lenny main
deb-src http://snapshot.debian.org/archive/debian/20100204T000000Z/ lenny main
deb http://snapshot.debian.org/archive/debian-security/20100204T000000Z/ lenny/updates main
deb-src http://snapshot.debian.org/archive/debian-security/20100204T000000Z/ lenny/updates main
#deb http://snapshot.debian.org/archive/debian/20100204T000000Z/ testing main

# apt-get update

# apt-cache show python-minimal

Package: python-minimal
Priority: standard
Section: python
Installed-Size: 84
Maintainer: Matthias Klose <doko@debian.org>
Architecture: all
Source: python-defaults
Version: 2.5.2-3
Replaces: python (<= 2.4-1)
Depends: python2.5-minimal (>= 2.5.2), dpkg (>= 1.13.20)
Recommends: python
Conflicts: python (<= 2.4-1), python-central (<< 0.5.5)
Filename: pool/main/p/python-defaults/python-minimal_2.5.2-3_all.deb
Size: 13452
MD5sum: 639cd66f2de6d4f80e66fc635acf1ff0
SHA1: fadcb34fd553fd167d66cc3a7794d5c4dda2f3f8
SHA256: 246f2bdbc853a7fdd92fc29da59a22a4e50aacd499e7a07fa18d8bda5f7f5e44
Description: A minimal subset of the Python language (default version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python-minimal/README.Debian for a list of the modules
 contained in this package.
Tag: admin::boot, devel::interpreter, implemented-in::python, role::program, scope::utility

Is it me doing something wrong?

Thanks
Brad

Reply to: